Package org.apache.sling.junit.scriptable

## Class HttpResponse

- java.lang.Object
- - org.apache.sling.junit.scriptable.HttpResponse

All Implemented Interfaces:
  `javax.servlet.http.HttpServletResponse`, `javax.servlet.ServletResponse`

    public class HttpResponse
    extends Object
    implements javax.servlet.http.HttpServletResponse

Fake response used to acquire content from Sling

### Field Summary

### Fields inherited from interface javax.servlet.http.HttpServletResponse

`SC_ACCEPTED, SC_BAD_GATEWAY, SC_BAD_REQUEST, SC_CONFLICT, SC_CONTINUE, SC_CREATED, SC_EXPECTATION_FAILED, SC_FORBIDDEN, SC_FOUND, SC_GATEWAY_TIMEOUT, SC_GONE, SC_HTTP_VERSION_NOT_SUPPORTED, SC_INTERNAL_SERVER_ERROR, SC_LENGTH_REQUIRED, SC_METHOD_NOT_ALLOWED, SC_MOVED_PERMANENTLY, SC_MOVED_TEMPORARILY, SC_MULTIPLE_CHOICES, SC_NO_CONTENT, SC_NON_AUTHORITATIVE_INFORMATION, SC_NOT_ACCEPTABLE, SC_NOT_FOUND, SC_NOT_IMPLEMENTED, SC_NOT_MODIFIED, SC_OK, SC_PARTIAL_CONTENT, SC_PAYMENT_REQUIRED, SC_PRECONDITION_FAILED, SC_PROXY_AUTHENTICATION_REQUIRED, SC_REQUEST_ENTITY_TOO_LARGE, SC_REQUEST_TIMEOUT, SC_REQUEST_URI_TOO_LONG, SC_REQUESTED_RANGE_NOT_SATISFIABLE, SC_RESET_CONTENT, SC_SEE_OTHER, SC_SERVICE_UNAVAILABLE, SC_SWITCHING_PROTOCOLS, SC_TEMPORARY_REDIRECT, SC_UNAUTHORIZED, SC_UNSUPPORTED_MEDIA_TYPE, SC_USE_PROXY`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addCookie​(javax.servlet.http.Cookie cookie)`
`void` `addDateHeader​(String name, long date)`
`void` `addHeader​(String name, String value)`
`void` `addIntHeader​(String name, int value)`
`boolean` `containsHeader​(String name)`
`String` `encodeRedirectUrl​(String url)`
`String` `encodeRedirectURL​(String url)`
`String` `encodeUrl​(String url)`
`String` `encodeURL​(String url)`
`void` `flushBuffer()`
`int` `getBufferSize()`
`String` `getCharacterEncoding()`
`String` `getContent()`
`String` `getContentType()`
`String` `getEncoding()`
`String` `getHeader​(String name)`
`Collection<String>` `getHeaderNames()`
`Collection<String>` `getHeaders​(String name)`
`Locale` `getLocale()`
`String` `getMessage()`
`javax.servlet.ServletOutputStream` `getOutputStream()`
`int` `getStatus()`
`PrintWriter` `getWriter()`
`boolean` `isCommitted()`
`void` `reset()`
`void` `resetBuffer()`
`void` `sendError​(int sc)`
`void` `sendError​(int sc, String msg)`
`void` `sendRedirect​(String location)`
`void` `setBufferSize​(int size)`
`void` `setCharacterEncoding​(String charset)`
`void` `setContentLength​(int len)`
`void` `setContentLengthLong​(long len)`
`void` `setContentType​(String type)`
`void` `setDateHeader​(String name, long date)`
`void` `setEncoding​(String encoding)`
`void` `setHeader​(String name, String value)`
`void` `setIntHeader​(String name, int value)`
`void` `setLocale​(Locale loc)`
`void` `setMessage​(String message)`
`void` `setStatus​(int sc)`
`void` `setStatus​(int sc, String sm)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### addCookie

    public void addCookie​(javax.servlet.http.Cookie cookie)

Specified by:
  `addCookie` in interface `javax.servlet.http.HttpServletResponse`

#### addDateHeader

    public void addDateHeader​(String name,
                              long date)

Specified by:
  `addDateHeader` in interface `javax.servlet.http.HttpServletResponse`

#### addHeader

    public void addHeader​(String name,
                          String value)

Specified by:
  `addHeader` in interface `javax.servlet.http.HttpServletResponse`

#### addIntHeader

    public void addIntHeader​(String name,
                             int value)

Specified by:
  `addIntHeader` in interface `javax.servlet.http.HttpServletResponse`

#### containsHeader

    public boolean containsHeader​(String name)

Specified by:
  `containsHeader` in interface `javax.servlet.http.HttpServletResponse`

#### encodeRedirectUrl

    public String encodeRedirectUrl​(String url)

Specified by:
  `encodeRedirectUrl` in interface `javax.servlet.http.HttpServletResponse`

#### encodeRedirectURL

    public String encodeRedirectURL​(String url)

Specified by:
  `encodeRedirectURL` in interface `javax.servlet.http.HttpServletResponse`

#### encodeUrl

    public String encodeUrl​(String url)

Specified by:
  `encodeUrl` in interface `javax.servlet.http.HttpServletResponse`

#### encodeURL

    public String encodeURL​(String url)

Specified by:
  `encodeURL` in interface `javax.servlet.http.HttpServletResponse`

#### sendError

    public void sendError​(int sc,
                          String msg)
                   throws IOException

Specified by:
  `sendError` in interface `javax.servlet.http.HttpServletResponse`
Throws:
  `IOException`

#### sendError

    public void sendError​(int sc)
                   throws IOException

Specified by:
  `sendError` in interface `javax.servlet.http.HttpServletResponse`
Throws:
  `IOException`

#### sendRedirect

    public void sendRedirect​(String location)
                      throws IOException

Specified by:
  `sendRedirect` in interface `javax.servlet.http.HttpServletResponse`
Throws:
  `IOException`

#### setDateHeader

    public void setDateHeader​(String name,
                              long date)

Specified by:
  `setDateHeader` in interface `javax.servlet.http.HttpServletResponse`

#### setHeader

    public void setHeader​(String name,
                          String value)

Specified by:
  `setHeader` in interface `javax.servlet.http.HttpServletResponse`

#### setIntHeader

    public void setIntHeader​(String name,
                             int value)

Specified by:
  `setIntHeader` in interface `javax.servlet.http.HttpServletResponse`

#### setStatus

    public void setStatus​(int sc,
                          String sm)

Specified by:
  `setStatus` in interface `javax.servlet.http.HttpServletResponse`

#### setStatus

    public void setStatus​(int sc)

Specified by:
  `setStatus` in interface `javax.servlet.http.HttpServletResponse`

#### flushBuffer

    public void flushBuffer()
                     throws IOException

Specified by:
  `flushBuffer` in interface `javax.servlet.ServletResponse`
Throws:
  `IOException`

#### getBufferSize

    public int getBufferSize()

Specified by:
  `getBufferSize` in interface `javax.servlet.ServletResponse`

#### getCharacterEncoding

    public String getCharacterEncoding()

Specified by:
  `getCharacterEncoding` in interface `javax.servlet.ServletResponse`

#### getContentType

    public String getContentType()

Specified by:
  `getContentType` in interface `javax.servlet.ServletResponse`

#### getLocale

    public Locale getLocale()

Specified by:
  `getLocale` in interface `javax.servlet.ServletResponse`

#### getOutputStream

    public javax.servlet.ServletOutputStream getOutputStream()
                                                      throws IOException

Specified by:
  `getOutputStream` in interface `javax.servlet.ServletResponse`
Throws:
  `IOException`

#### getWriter

    public PrintWriter getWriter()
                          throws IOException

Specified by:
  `getWriter` in interface `javax.servlet.ServletResponse`
Throws:
  `IOException`

#### isCommitted

    public boolean isCommitted()

Specified by:
  `isCommitted` in interface `javax.servlet.ServletResponse`

#### reset

    public void reset()

Specified by:
  `reset` in interface `javax.servlet.ServletResponse`

#### resetBuffer

    public void resetBuffer()

Specified by:
  `resetBuffer` in interface `javax.servlet.ServletResponse`

#### setBufferSize

    public void setBufferSize​(int size)

Specified by:
  `setBufferSize` in interface `javax.servlet.ServletResponse`

#### setCharacterEncoding

    public void setCharacterEncoding​(String charset)

Specified by:
  `setCharacterEncoding` in interface `javax.servlet.ServletResponse`

#### setContentLength

    public void setContentLength​(int len)

Specified by:
  `setContentLength` in interface `javax.servlet.ServletResponse`

#### setContentType

    public void setContentType​(String type)

Specified by:
  `setContentType` in interface `javax.servlet.ServletResponse`

#### setLocale

    public void setLocale​(Locale loc)

Specified by:
  `setLocale` in interface `javax.servlet.ServletResponse`

#### getMessage

    public String getMessage()

#### setMessage

    public void setMessage​(String message)

#### getEncoding

    public String getEncoding()

#### setEncoding

    public void setEncoding​(String encoding)

#### getStatus

    public int getStatus()

Specified by:
  `getStatus` in interface `javax.servlet.http.HttpServletResponse`

#### getContent

    public String getContent()

#### setContentLengthLong

    public void setContentLengthLong​(long len)

Specified by:
  `setContentLengthLong` in interface `javax.servlet.ServletResponse`

#### getHeader

    public String getHeader​(String name)

Specified by:
  `getHeader` in interface `javax.servlet.http.HttpServletResponse`

#### getHeaders

    public Collection<String> getHeaders​(String name)

Specified by:
  `getHeaders` in interface `javax.servlet.http.HttpServletResponse`

#### getHeaderNames

    public Collection<String> getHeaderNames()

Specified by:
  `getHeaderNames` in interface `javax.servlet.http.HttpServletResponse`